Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226404 - Merge Review: sed
Summary: Merge Review: sed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:57 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: F 8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-05 15:20:43 UTC
mlichvar: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:57:16 UTC
Fedora Merge Review: sed

http://cvs.fedora.redhat.com/viewcvs/devel/sed/
Initial Owner: pmachata@redhat.com

Comment 1 Petr Machata 2007-02-07 19:19:13 UTC
Tidied up version commited, not built.
rpmlint is silent, for both source and binary rpm.

Comment 2 Miroslav Lichvar 2007-09-05 17:00:44 UTC
I'll look into this.

Comment 3 Miroslav Lichvar 2007-09-06 09:11:39 UTC
- rpmlint is silent
- the package is named according to the Package Naming Guidelines
- the spec file name matches the base package %{name}
X the package must meet the Packaging Guidelines
  - please remove glibc from requires and buildrequires, and remove version from
the glibc-devel buildrequirement as newer glibc packages are in currently
supported releases
  - consider changing URL to http://sed.sourceforge.net/
  - add -p option to preserve the timestamp for sedfaq
  - replace %makeinstall with make DESTDIR=...
- the package is licensed with a Fedora approved license
- the License field in the package spec file matches the actual license (GPLv2+)
X if the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package must be
included in %doc
  - please add COPYING and COPYING.DOC to %doc
- the spec file is written in American English
- the spec file for the package is legible
- the sources used to build the package matches the upstream source
X all build dependencies must be listed in BuildRequires
  - gawk is missing (until FESCo approves a new package listing for buildroot)
- the spec file handles locales properly
- the package owns all directories that it creates
- the package does not contain any duplicate files in the %files listing
- permissions on files are set properly
- the package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
- the package consistently uses macros
- the package contains code, or permissible content
- files included as %doc don't affect the runtime of the application
- the package does not own files or directories already owned by other packages
- at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
- all filenames in rpm packages are valid UTF-8
- scriptlets are sane


Comment 4 Petr Machata 2007-10-04 17:58:13 UTC
Thanks for review. Tidied up version commited, not built.

Comment 5 Miroslav Lichvar 2007-10-05 11:52:22 UTC
gawk is no longer needed in buildrequires, please remove it in next commit.

Approved.

Comment 6 Petr Machata 2007-10-05 15:20:43 UTC
Committed & built.


Note You need to log in before you can comment on or make changes to this bug.